# KrautStatus

This repository contains documentation and sources of KrautStatus. KrautStatus
is the n-th iteration of a software/hardware project to communicate whether
Jena's Krautspace is open or closed.

KrautStatus consists of three components: an Arduino-sensor-combination at the
door, a Python script on a local server, and an API file served on by web
server.

The Arduino provides the current state of the door lock upon request via UDP.
The state is determined by a reed sensor in the door lock. In addition, it
controls an RGB LED matrix shield that provides a visual indication of the door
locks's state in the room.

The python script polls the broadcast state and pushes changes to Twitter,
Mastodon and our API file.

The API file follows the [Space API](http://spaceapi.net) specification, which
includes a field indicating whether the space is open or closed.

## Arduino

## Python Script

## API

## License

The authors of the Arduino code license the code under the AGPL 3.0 (see
`LICENSE.AGPL`). The respective authors are listed in the in the preambles of
each source file.

## Dependencies

The Arduino code depends on the following libraries:

_Arduino Core_ published by the copyright holders under the LGPL 2.1 or later.

_SPI Master Library for Arduino Zero_ published by the copyright holders under
the LGPL 2.1 or later.

_Library for Arduino WiFi Shield_ published by the copyright holders under the
LGPL 2.1 or later.
